Ubuntu 10.04下编译安装Bochs 2.6及问题解决

 

本博客已迁至:http://chaoyang.blog.ustc.edu.cn,欢迎访问!

 

 

**********************************

*     版权所有 · 谢绝转载 · 违者必究    *

**********************************

* 作者:bitbyte

* 出处:http://www.cnblogs.com/bitbyte/

 

Background

  由于我们需要Bochs具有调试和反汇编的功能,所以直接用命令行安装可能不能满足我们的要求。这就要使用源码编译安装。从Bochs官网上下载2.6版本的源代码后,一般按照下面的步骤可以完成安装,但也会出问题!

1 tar vxzf bochs-2.6.tar.gz
2 cd bochs-2.6
3 ./configure --enable-debugger --enable-disasm
4 make      # 这一步你可能会出错
5 sudo make install

 

Problem

  果然,我在执行第4步make的时候报错了:

make: *** 没有指明目标并且找不到 makefile。 停止。

 或者你得到的报错信息是这样的(路径可能不同):

make[1]: *** [gtk_enh_dbg_osdep.o] Error 1
make[1]: Leaving directory `/home/bitbyte/Bochs/bochs-2.6/gui'
make: *** [gui/libgui.a] Error 2

 

Solution

  出错的原因是编译安装Bochs需要准备好安装环境,否则就会报上面出现的错误。

  所以在安装Bochs之前需要安装下面这些软件:

 

 

请移步这里:http://chaoyang.blog.ustc.edu.cn 查看更多内容

 

 

 [ 注:你可能在安装libgtk2.0-dev时还会出错(依赖包未安装),那我的这篇文章会解决你的问题。]

然后再按照下面的步骤安装:

1 tar vxzf bochs-2.6.tar.gz
2 cd bochs-2.6
3 ./configure --enable-debugger --enable-disasm
4 make
5 sudo make install

 

  至此,Bochs 2.6 安装成功!

 

==========  版权所有 · 谢绝转载 · 违者必究 ========== 

[-- The End --]

 

 

 

posted @ 2012-10-31 19:12 bitbyte 阅读(...) 评论(...) 编辑 收藏